<?php
namespace Teknisa\EST\Modules\Relatorios\Controllers;

use Zeedhi\Framework\DataSource\Manager;
use Zeedhi\Framework\DataSource\DataSet;
use Zeedhi\Framework\DataSource\FilterCriteria;
use Zeedhi\Framework\DataSource\ParameterBag;
use Zeedhi\Framework\DTO;
use Zeedhi\Framework\DTO\Request\Filter;

class FilialEstoqueRomaneioController extends \Teknisa\EST\Controllers\TeknisaCrud {
    
    protected $parameterBagColumns = ["P_CDFILIAL"];
    protected $dataSourceName = "filial_estoque_romaneio";
    protected $crudService;
	protected $dataSourceManager;
	protected $environment;
    protected $entityManager;

    public function __construct($crudService, ParameterBag $parameterBag, $dataSourceManager, $environment, $entityManager) {
		$this->crudService = $crudService;
        $this->parameterBag = $parameterBag;
        $this->dataSourceManager = $dataSourceManager;
        $this->environment = $environment;
        $this->entityManager = $entityManager;
	}
    
    public function find(DTO\Request\Filter $request, DTO\Response $response) {
        parent::find($request, $response);
    }

}